Bug 904276 - wordpress: multiple flaws fixed in 3.5.1
Summary: wordpress: multiple flaws fixed in 3.5.1
Keywords:
Status: CLOSED DUPLICATE of bug 904120
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 904124 904125 904277 904278
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-25 22:45 UTC by Vincent Danen
Modified: 2019-09-29 12:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-28 09:29:13 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-01-25 22:45:14 UTC
Wordpress 3.5.1 was released [1] with the following security issues fixed:

* A server-side request forgery vulnerability and remote port scanning using pingbacks. This vulnerability, which could potentially be used to expose information and compromise a site, affects all previous WordPress versions. This was fixed by the WordPress security team. We’d like to thank security researchers Gennady Kovshenin and Ryan Dewhurst for reviewing our work.

* Two instances of cross-site scripting via shortcodes and post content. These issues were discovered by Jon Cave of the WordPress security team.

* A cross-site scripting vulnerability in the external library Plupload. Thanks to the Moxiecode team for working with us on this, and for releasing Plupload 1.5.5 to address this issue.

[1] http://wordpress.org/news/2013/01/wordpress-3-5-1/

Comment 1 Vincent Danen 2013-01-25 22:47:33 UTC
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 904277]
Affects: epel-all [bug 904278]


Note You need to log in before you can comment on or make changes to this bug.